Get owner by ID
curl --request GET \
--url https://api.opal.dev/v1/owners/{owner_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.opal.dev/v1/owners/{owner_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.opal.dev/v1/owners/{owner_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"owner_id": "f454d283-ca87-4a8a-bdbb-df212eca5353",
"name": "API Owner",
"description": "This owner represents the API team owners.",
"access_request_escalation_period": 120
}Returns an Owner object.
GET
/
owners
/
{owner_id}
Get owner by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the owner.
Response
200 - application/json
The owner object associated with the passed-in ID.
Owner Object
Description
The Owner object is used to represent an owner.
The ID of the owner.
Example:
"f454d283-ca87-4a8a-bdbb-df212eca5353"
The name of the owner.
Example:
"API Owner"
A description of the owner.
Example:
"This owner represents the API team owners."
The amount of time (in minutes) before the next reviewer is notified. Use 0 to remove escalation policy.
Example:
120
Example:
"37cb7e41-12ba-46da-92ff-030abe0450b1"
Example:
"1b978423-db0a-4037-a4cf-f79c60cb67b3"
Last modified on September 16, 2026
Was this page helpful?